Loading...
Searching...
No Matches
Opm::ConstantCompressibilityBrinePvt< Scalar > Class Template Reference

This class represents the Pressure-Volume-Temperature relations of the gas phase without vaporized oil. More...

`#include <ConstantCompressibilityBrinePvt.hpp>`

## Public Types

using | TabulatedFunction = Tabulated1DFunction<Scalar>

## Public Member Functions

void | setNumRegions (std::size_t numRegions)
void | setVapPars (const Scalar, const Scalar)
void | setReferenceDensities (unsigned regionIdx, Scalar, Scalar, Scalar rhoRefWater)
| Set the water reference density [kg / m^3].
void | initEnd ()
| Finish initializing the water phase PVT properties.
unsigned | numRegions () const
| Return the number of PVT regions which are considered by this PVT-object.
template<class Evaluation>
Evaluation | internalEnergy (unsigned, const Evaluation &, const Evaluation &, const Evaluation &, const Evaluation &) const
| Returns the specific enthalpy [J/kg] of water given a set of parameters.
Scalar | hVap (unsigned) const
template<class Evaluation>
Evaluation | viscosity (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &Rsw, const Evaluation &saltconcentration) const
| Returns the dynamic viscosity [Pa s] of the fluid phase given a set of parameters.
template<class Evaluation>
Evaluation | saturatedViscosity (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &saltconcentration) const
| Returns the dynamic viscosity [Pa s] of the fluid phase given a set of parameters.
template<class Evaluation>
Evaluation | saturatedInverseFormationVolumeFactor (unsigned regionIdx, const Evaluation &temperature, const Evaluation &pressure, const Evaluation &saltconcentration) const
| Returns the formation volume factor [-] of the fluid phase.
template<class Evaluation>
Evaluation | inverseFormationVolumeFactor (unsigned regionIdx, const Evaluation &, const Evaluation &pressure, const Evaluation &, const Evaluation &saltconcentration) const
| Returns the formation volume factor [-] of the fluid phase.
template<class FluidState, class LhsEval = typename FluidState::Scalar>
std::pair< LhsEval, LhsEval > | inverseFormationVolumeFactorAndViscosity (const FluidState &fluidState, unsigned regionIdx)
| Returns the formation volume factor [-] and viscosity [Pa s] of the fluid phase.
template<class Evaluation>
Evaluation | saturationPressure (unsigned, const Evaluation &, const Evaluation &, const Evaluation &) const
| Returns the saturation pressure of the water phase [Pa] depending on its mass fraction of the gas component.
template<class Evaluation>
Evaluation | saturatedGasDissolutionFactor (unsigned, const Evaluation &, const Evaluation &, const Evaluation &) const
| Returns the gas dissolution factor [m^3/m^3] of the water phase.
template<class Evaluation>
Evaluation | diffusionCoefficient (const Evaluation &, const Evaluation &, unsigned) const
Scalar | waterReferenceDensity (unsigned regionIdx) const
const std::vector< Scalar > & | referencePressure () const
const std::vector< TabulatedFunction > & | formationVolumeTables () const
const std::vector< TabulatedFunction > & | compressibilityTables () const
const std::vector< TabulatedFunction > & | viscosityTables () const
const std::vector< TabulatedFunction > & | viscosibilityTables () const

## Detailed Description

template<class Scalar>
class Opm::ConstantCompressibilityBrinePvt< Scalar >

This class represents the Pressure-Volume-Temperature relations of the gas phase without vaporized oil.

## Member Function Documentation

## saturationPressure()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::ConstantCompressibilityBrinePvt< Scalar >::saturationPressure | ( | unsigned | ,
|  | const Evaluation & | ,
|  | const Evaluation & | ,
|  | const Evaluation & | ) const

inline

Returns the saturation pressure of the water phase [Pa] depending on its mass fraction of the gas component.

Parameters

  Rs | The surface volume of gas component dissolved in what will yield one cubic meter of oil at the surface [-]

The documentation for this class was generated from the following files:

- opm/material/fluidsystems/blackoilpvt/ConstantCompressibilityBrinePvt.hpp
- opm/material/fluidsystems/blackoilpvt/ConstantCompressibilityBrinePvt.cpp